local mod = ...



-- Fuel need -------------------------------------------------------------------------------------
mod:registerEnumValue( "RESOURCE_TYPE", "FUEL_RESOURCE_TYPE" )
mod:registerAssetId("icons/fuel.png", "ICON_FUEL_NEED", "ATLAS_CELL")

-- Happiness factor
mod:registerAsset({
    DataType = "HAPPINESS_FACTOR",
    Id = "HAPPINESS_FACTOR_FUEL",
    Name = "FUEL_HAPPINESS_FACTOR_NAME",
    Description = "FUEL_NEED_DESC",
    Value = -2,
    IsDecaying = true,
    TimeBeforeDecayingSeconds = 120.0,
    DecayingRatePerMinute = 3.5,
    IsCumulative = true,
    IsSolvable = true,
    RemovedOnDecayed = false,
    Icon = "ICON_FUEL_NEED",
})

-- Villager Need Type
mod:registerAsset({
    DataType = "VILLAGER_NEED_TYPE",
    Id = "FUEL_NEED",
    NeedTypeName = "FUEL_NEED_NAME",
    NeedTypeDescription = "FUEL_NEED_DESC",
    NeedTypeList = {"FUEL_RESOURCE_TYPE"},
    -- FillDurationInSeconds=840, -- 420 seems to be the duration of water and food, 2-3 days
    FillDurationInSeconds = 1000, -- 420 seems to be the duration of water and food, 2-3 days
    FillRate = 100,
    GracePeriod = 7,
    HappinessFactor = "HAPPINESS_FACTOR_FUEL",
    ResourceTypeIcon = "ICON_FUEL_NEED",
})



-- Household Service need -------------------------------------------------------------------------------------

-- Happiness factor
mod:registerAsset({
    DataType = "HAPPINESS_FACTOR",
    Id = "HAPPINESS_FACTOR_SERVANT",
    Name = "HAPPINESS_FACTOR_SERVANT_NAME",
    Description = "HAPPINESS_FACTOR_SERVANT_DESC",
    Value = -2,
    IsDecaying = true,
    TimeBeforeDecayingSeconds = 120.0,
    DecayingRatePerMinute = 3.5,
    IsCumulative = true,
    IsSolvable = true,
    RemovedOnDecayed = false,
    Icon = "ICON_SERVANT",
})

-- Villager Need Type
mod:registerAsset({
    DataType = "VILLAGER_NEED_TYPE",
    Id = "NEED_SERVANT",
    NeedTypeName = "NEED_SERVANT_NAME",
    NeedTypeDescription = "NEED_SERVANT_DESC",
    NeedTypeList = {"RESOURCE_TYPE_SERVANT"},
    FillDurationInSeconds = 420, -- 420 seems to be the duration of water and food, 2-3 days
    FillRate = 100,
    GracePeriod = 7,
    HappinessFactor = "HAPPINESS_FACTOR_SERVANT",
    ResourceTypeIcon = "ICON_SERVANT",
})
